# gamecore

Gamecore aim to be an integrated, simple core system for love2D. It aim to make work in a integrated way several managers to automatically handle inputs, screen, and several utilities to make game developpement easier and less repetitive.

Gamecore use [Classic](https://github.com/rxi/classic/) as its base Object

## How to load GameCore

To load gamecore, you basically need the following code.

````
Core    = require "gamecore"

function love.load()
  core = Core()
end

````

Then you have to create some scene object,

## Gamecore managers

- Debug

- Input

- Lang

- Options

- Screen

- Scene Manager

## GameCore modules

Modules are utilies that you can load everywhere in your code and that aren't loaded specifically inside the core.

- Scene Object

- Assets

- Menu System
